'use server'
import {Bill} from '@/lib/models'
import {callByUser} from '@/actions/base'
import {PageRecord} from '@/lib/api'

export async function listBills(params: {
  page?: number
  size?: number
  bill_no?: string
  type?: number
  create_after?: Date
  create_before?: Date
  trade_id?: string
}) {
  return await callByUser<PageRecord<Bill>>('/api/bill/list', params)
}
